package cn.cecep.talroad.service.effective;

import cn.cecep.talroad.domain.PCodeAreaInfo;
//import cn.cecep.talroad.domain.PCodeRegion;
import cn.cecep.talroad.domain.effective.PCodeRegion;
import cn.cecep.talroad.domain.vo.*;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.service
 * @ClassName: IPCodAreaInfoService
 * @Author: wyg
 * @Description: 监测地图-公共查询-数据查询
 * @Date: 2023/6/13 09:57
 * @Version: 1.0
 */
public interface IPCodAreaInfoService extends IService<PCodeAreaInfo> {


    List<ControlVo> findStationPullDataList();

    List<Map<String,Object>> findJurisdictionData();

    List<Map<String,Object>> selectBySixApiParam(String type,String property);

    Map<String,Object> findTimeDataList(String startTime, String endTime,String type,String factorCode,String regionCode);

    List<Map<String,Object>> findCoverageData();
}
